%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif
%global real_name pyquery
%global with_tests 1

Name:           python-%{real_name}
Version:        1.2.17
Release:        7%{?dist}
Summary:        A jQuery-like library for python
Group:          Development/Libraries
License:        BSD
URL:            http://pypi.python.org/pypi/pyquery
Source0:        https://github.com/gawel/pyquery/archive/%{version}.tar.gz

# skip some tests that need network
Patch1:         python-pyquery-skip-test-requiring-net-connection.patch

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools

# test deps
BuildRequires:  python-beautifulsoup
BuildRequires:  python-cssselect
BuildRequires:  python-lxml >= 2.1
BuildRequires:  python-nose
BuildRequires:  python-requests
BuildRequires:  python-restkit
BuildRequires:  python-webob
%if 0%{?with_tests}
BuildRequires:  python-webtest
%endif

%global _description\
python-pyquery allows you to make jQuery queries on XML documents. The API is\
as much as possible the similar to jQuery. python-pyquery uses lxml for fast\
XML and HTML manipulation.

%description %_description

%package -n python2-pyquery
Summary: %summary
Requires:       python-lxml >= 2.1
Requires:       python-cssselect
%{?python_provide:%python_provide python2-pyquery}

%description -n python2-pyquery %_description

%if 0%{?with_python3}
%package -n python3-pyquery
Summary:        A jQuery-like library for python3
Group:          Applications/System
BuildRequires:  python3-devel, python3-setuptools

# test deps
BuildRequires:  python3-cssselect
BuildRequires:  python3-lxml >= 2.1
BuildRequires:  python3-nose
BuildRequires:  python3-requests
BuildRequires:  python3-webob
%if 0%{?with_tests}
BuildRequires:  python3-webtest
%endif

Requires:       python3-lxml >= 2.1
Requires:       python3-cssselect

%description -n python3-pyquery
python3-pyquery allows you to make jQuery queries on XML documents. The API is 
as much as possible the similar to jQuery. python-pyquery uses lxml for fast 
XML and HTML manipulation.

%endif #with_python3

%prep
%setup -qn %{real_name}-%{version}

%patch1 -p0

%if 0%{?with_python3}
    rm -rf %{py3dir}
    cp -a . %{py3dir}
    find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
%endif # with_python3

%build
%if 0%{?with_python3}
    pushd %{py3dir}
    %{__python3} setup.py build
    popd
%endif # with_python3

%{__python} setup.py build

%install
%if 0%{?with_python3}
    pushd %{py3dir}
    %{__python3} setup.py install -O1 --skip-build  --root %{buildroot}
    popd
%endif # with_python3

%{__python} setup.py install -O1 --skip-build  --root %{buildroot}

%check
%if 0%{?with_tests}
%if 0%{?with_python3}
    pushd %{py3dir}
    nosetests-%{python3_version}
    popd
%endif # with_python3

nosetests
%endif

%files -n python2-pyquery
%doc CHANGES.rst README.rst
%{python_sitelib}/pyquery/
%{python_sitelib}/pyquery*.egg-info/

%if 0%{?with_python3}
%files -n python3-pyquery
%doc CHANGES.rst README.rst
%{python3_sitelib}/pyquery/
%{python3_sitelib}/pyquery*.egg-info/
%endif

%changelog
* Fri Sep 29 2017 Troy Dawson <tdawson@redhat.com> - 1.2.17-7
- Cleanup spec file conditionals

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.17-6
- Python 2 binary package renamed to python2-pyquery
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.17-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 20 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.17-3
- Enable tests (circular deps)

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.17-2
- Rebuild for Python 3.6

* Wed Nov 09 2016 Kevin Fenzi <kevin@scrye.com> - 1.2.17-1
- Update to 1.2.17

* Wed Nov 09 2016 Kevin Fenzi <kevin@scrye.com> - 1.2.8-9
- Fix summary for python3 subpackage. Fixes bug #1392233

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.8-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.8-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Sep 04 2014 Ralph Bean <rbean@redhat.com> - 1.2.8-4
- Disable tests for epel.

* Thu Aug 14 2014 Ralph Bean <rbean@redhat.com> - 1.2.8-3
- Modernize python3 conditional.

* Fri Jun 13 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2.8-2
- Enable tests during build, add proper dependencies for them.

* Sat Jun 07 2014 Brendan Jones <brendan.jones.it@gmail.com> 1.2.8-1
- Update to 1.2.8
- Add python3 support

* Mon Aug 05 2013 Matěj Cepl <mcepl@redhat.com> - 1.2.4-1
- Update to 1.2.4 (RHBZ#980856)
- Add missing Requires:
- Fixing CHANGES.rst and README.rst is no longer necessary.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Feb 25 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.6.1-3
- Dropped BuildRoot and corrected spelling

* Thu Feb 24 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.6.1-2
- Add missing build requires, further qualify file ownership, remove unnecessary
cleaning

* Tue Feb 8 2011 Brendan Jones <brendan DOT jones DOT it AT gmail DOT com> 0.6.1-1
- initial spec
